### Method

# GimpUi ProcedureDialog set_sensitive_if_in

#### Declaration [src]

    void
    gimp_procedure_dialog_set_sensitive_if_in (
      GimpProcedureDialog* dialog,
      const gchar* property,
      GObject* config,
      const gchar* config_property,
      GimpValueArray* values,
      gboolean in_values
    )

#### Description [src]

Sets sensitivity of the widget associated to `property` in `dialog` if the value of `config_property` in `config` is equal to one of `values`.

If `config` is `NULL`, then the configuration object of `dialog` is used.

If `in_values` is FALSE, then the widget is set sensitive if the value of `config_property` is not in `values`.

#### Parameters

`property`

  Type: `const gchar*`

  Name of a property of the `GimpProcedure` `dialog` has been created for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`config`

  Type: `GObject`

  An optional config object (if `NULL`, `property`‘s config will be used).

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`config_property`

  Type: `const gchar*`

  Name of a property of `config`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`values`

  Type: `GimpValueArray`

                    an array of GValues which could be values of `config_property`.

  The instance takes ownership of the data, and is responsible for freeing it.

`in_values`

  Type: `gboolean`

  Whether `property` should be sensitive when `config_property` is one of `values`, or the opposite.